<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Name.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Name</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Name

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mName" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line174" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Name-inheritance" src="Name-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Name-inheritance_map" />
<map name="Name-inheritance_map"><area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="11, 82, 155, 106" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="7, 7, 159, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Name_lNode_S_cconst.Encoding_A_r">Name</a>(<a href="Node.html" >Node</a>*, const&#160;<a href="Encoding.html" >Encoding</a>&amp;)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mName_mName_lNode_S_cconst.Encoding_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line177" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mName_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line178" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Encoding.html" >Encoding</a> <a class="name" id="encoded_name_l_rconst">encoded_name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mName_mencoded_name_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line179" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="Encoding.html" >Encoding</a> <a class="name" id="my_name">my_name</a></div> <div class="xref"><a href="../../../XRef/xref10.html#Synopsis_mPTree_mName_mmy_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line181" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:46 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
